import request from '@/utils/request'

// 查询app用户列表
export function listUser(data) {
  return request({
    url: '/appUser/list',
    method: 'post',
    data: data
  })
}

// 查询app用户详细
export function getUser(id) {
  return request({
    url: '/appUser/' + id,
    method: 'get'
  })
}

// 新增app用户
export function addUser(data) {
  return request({
    url: '/appUser',
    method: 'post',
    data: data
  })
}

// 修改app用户
export function updateUser(data) {
  return request({
    url: '/appUser',
    method: 'put',
    data: data
  })
}

// 删除app用户
export function delUser(id) {
  return request({
    url: '/appUser/' + id,
    method: 'delete'
  })
}

// 导出app用户
export function exportUser(query) {
  return request({
    url: '/appUser/export',
    method: 'get',
    params: query
  })
}
